PPPSTATS(8)

NAME
pppstats - report Point to Point Protocol statistics

SYNOPSIS
pppstats  [ -i interval ] [ -v ] [ unit ] [ system ] [ core ]

DESCRIPTION
Pppstats reports certain kernel statistics kept about Point to Point Protocol traffic.

The options are as follows:

-i  Repeat the display indefinitely every interval seconds. If no interval is specified, the default is 5 seconds.

-v  Verbose display of extra fields of information.

unit
    is a single digit specifying the slip interface. The default unit is 0 for interface ppp0.

system
    Extract the name list from the specified system instead of the default, /kernel.

core
    Extract values associated with the name list from the specified core instead of the default, /dev/kmem.

By default, pppstats displays the following information:

in  bytes received

out bytes sent

pack
    packets received or sent

comp
    compressed packets received or sent

uncomp
    uncompressed packets received or sent

err input or output errors

With the -v option, the following information is also displayed:

toss
    inbound packets tossed because of error

search
    searches for connection state

miss
    times we could not find a connectoin state

EXAMPLES
The command ``pppstats -i 5'' will print what the system is doing every five seconds.

FILES
/kernel    default kernel namelist
/dev/kmem    default memory file

SEE ALSO
fstat(1), netstat(1), nfsstat(1), ps(1), systat(1), iostat(8), pstat(8) slstat(8)

The sections starting with ``Interpreting system activity'' in Installing and Operating 4.3BSD.

BUGS